# Utils

The repository contains various script for anything I needs. You can dig into it but it comes without any warranty.

It can be online software, home made script, ...

It is meant to simplify for tidious task.

## Bibtex

- **Bibtex tidy**: clean and sort bibtex file ([web-utils](https://flamingtempura.github.io/bibtex-tidy/index.html?opt=%7B%22modify%22%3Atrue%2C%22omit%22%3A%5B%22journal1%22%2C%22journal2%22%2C%22journal3%22%2C%22n2%22%2C%22type%22%2C%22date%22%2C%22date-added%22%2C%22date-modified%22%2C%22bdsk-url-1%22%2C%22bdsk-url-2%22%2C%22abstract%22%2C%22url%22%2C%22annote%22%2C%22bdsk-file-1%22%2C%22ty%22%2C%22owner%22%2C%22da%22%5D%2C%22curly%22%3Atrue%2C%22numeric%22%3Atrue%2C%22months%22%3Afalse%2C%22space%22%3A2%2C%22tab%22%3Atrue%2C%22align%22%3A13%2C%22sort%22%3A%5B%22key%22%5D%2C%22duplicates%22%3A%5B%22key%22%5D%2C%22stripEnclosingBraces%22%3Afalse%2C%22dropAllCaps%22%3Afalse%2C%22escape%22%3Afalse%2C%22sortFields%22%3A%5B%22title%22%2C%22shorttitle%22%2C%22author%22%2C%22year%22%2C%22month%22%2C%22day%22%2C%22journal%22%2C%22booktitle%22%2C%22location%22%2C%22on%22%2C%22publisher%22%2C%22address%22%2C%22series%22%2C%22volume%22%2C%22number%22%2C%22pages%22%2C%22doi%22%2C%22isbn%22%2C%22issn%22%2C%22url%22%2C%22urldate%22%2C%22copyright%22%2C%22category%22%2C%22note%22%2C%22metadata%22%5D%2C%22stripComments%22%3Atrue%2C%22trailingCommas%22%3Afalse%2C%22encodeUrls%22%3Afalse%2C%22tidyComments%22%3Atrue%2C%22removeEmptyFields%22%3Atrue%2C%22removeDuplicateFields%22%3Afalse%2C%22lowercase%22%3Atrue%2C%22backup%22%3Atrue%7D),[github](https://github.com/FlamingTempura/bibtex-tidy))

## File editing

- **sed_files**: multiple identic sed commande for the same file in different subfolders
